@echo off

rem 获取当前日期和时间
for /f "tokens=1-6 delims=/ " %%a in ('date /t') do set CDATE=%%a-%%b-%%c
for /f "tokens=1-2 delims=:\ " %%a in ('time /t') do set CTIME=%%a-%%b

set COMMIT_MESSAGE="feat: %CDATE% %CTIME% - 全面架构重构、功能增强及问题修复"

rem 添加所有变更到暂存区
git add .

rem 检查是否有文件被添加、修改或删除
git diff --cached --quiet
if %errorlevel% equ 0 (
    echo 没有检测到需要提交的变更。
) else (
    rem 提交变更
    git commit -m %COMMIT_MESSAGE%

    rem 推送变更到远程仓库
    git push origin master

    echo Git 推送完成！
)

pause
